#! /usr/bin/env python
##
## vi:ts=4:et
##
##---------------------------------------------------------------------------##
##
## Copyright (C) 2002 Markus F.X.J. Oberhumer <mfx@users.sourceforge.net>
## http://py-stablesort.sourceforge.net/
##
## Distributed under the terms of the PSF License Agreement - see the
## file LICENSE.
##
##---------------------------------------------------------------------------##

import sys, string

# update sys.path when running in the build directory
from util import get_sys_path
sys.path = get_sys_path()

import stablesort


def main(args):
    print "stablesort version %s, %s" % (stablesort.__version__, stablesort.__compile_date__)
    print stablesort.__file__
    print
    l = [0]
    print l.sort, "\n", l.sort.__doc__, "\n"
    stablesort.install()
    print l.sort, "\n", l.sort.__doc__, "\n"
    stablesort.uninstall()
    print l.sort, "\n", l.sort.__doc__, "\n"
    return 0


if __name__ == "__main__":
    sys.exit(main(sys.argv))

